Plugin Directory

Multisite Enhancements

Enhance Multisite for Network Admins with different topics

When you work quite a bit with WordPress Multisites, sometimes you need more information or menu items. This plugin enhance the network area for super admins with useful functions.

  • Add Blog and User ID in network; read more
  • Enables an 'Add New' link under the Plugins menu for Network admins
  • Adds several useful items to the multisite 'Network Admin' admin bar
  • On the network plugins page, show which blog have this plugin active
  • On the network theme page, show which blog have the theme active and is it a Child theme
  • Change Admin footer text for Administrator's to view fast currently used RAM, SQL, RAM Version
  • Add Favicon from theme folder to the admin area to easier identify the blog, use the favicon.ico file in the theme folder of the active theme in each blog
  • Add Favicon to each blog on the Admin Bar Item 'My Sites'. If you a like a custom path for each favicon, please see the documentation for this feature.
  • Remove also the 'W' logo and his sub-links in admin bar
  • Add status to each site in the admin bar to identifier fast if the site noindex status and external url.
  • Add functions to be used in your install
    • The function get_blog_list() is currently deprecated in the WP Core, but currently usable. The plugin check this and get a alternative in inc/autoload/core.php
    • If you will develop with the alternative to this function from my source, then use the method get_blog_list() in class Multisite_Core. She use also caching with the Transient API. See more about the function on the function in inc/autoload/class-core.php.
    • If you use WordPress version 3.7 and higher, then check the function wp_get_sites(), the new alternative function inside the core to get all sides inside the network. The function accept a array with arguments, see the description.
  • Filter plugin list to find fast your goal. Works on single plugin page and also network plugin page.

Crafted by Inpsyde ยท Engineering the web since 2006.

Yes, we also run that marketplace for premium WordPress plugins and themes.

Requires: 3.0.0 or higher
Compatible up to: 4.4
Last Updated: 7 hours ago
Active Installs: 100+


4.4 out of 5 stars


0 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?


Not enough data

1 person says it works.
0 people say it's broken.

100,1,1 100,1,1
100,3,3 100,2,2
100,1,1 100,2,2 100,2,2
100,2,2 100,3,3 100,2,2
0,1,0 100,1,1
100,2,2 100,3,3
0,1,0 100,1,1